Subject: bug#4710: 23.1.50; Bad display of underlines crossing line boundaries

From: "Drew Adams" <[email-masked]>
Date: Tue, 20 Sep 2011 07:04:24 -0700

> >> Why assume that underlined whitespace should not show an underline?
> >> Likewise for other face attributes.
> >
> > I believe you're confused: I'm talking about line-wrapping 
> > done by the redisplay engine.  I.e. there's no newline in
> > the above example (but there are curly arrows in the fringe
> > instead).
> 
> I was talking about things that do have newlines in them.  :-)
> If you have the following text, where some of it underscores.
> Like this:... and then you get this ugly-looking result.

That was what I thought the bug report and discussion were about.  Thanks for
clarifying.

And checking the original report and its linked pages (e.g.,
https://bugs.launchpad.net/nxhtml/+bug/449837), I still have that impression:

"After using tidy if an underlined html/CSS items is immediately followed by a
line break/return the underline continues across the page & goes on to the next
line to finish @ the next block of text."

"Followed by a line break/return" seems pretty clear to me.

So maybe Stefan wants to file a separate bug for the soft-return/line-wrapping
case he's really interested in. ;-)